Skip to content
Start here

Search Resources

client.LoadBalancers.Searches.List(ctx, params) (*V4PagePagination[SearchListResponse], error)
GET/accounts/{account_id}/load_balancers/search

Search for Load Balancing resources.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Load Balancing: Monitors and Pools WriteLoad Balancing: Monitors and Pools Read
ParametersExpand Collapse
params SearchListParams
AccountID param.Field[string]

Path param: Identifier.

maxLength32
Page param.Field[float64]optional

Query param

minimum1
PerPage param.Field[float64]optional

Query param

maximum1000
minimum1
Query param.Field[string]optional

Query param: Search query term.

References param.Field[SearchListParamsReferences]optional

Query param: The type of references to include. "*" to include both referral and referrer references. "" to not include any reference information.

const SearchListParamsReferencesEmpty SearchListParamsReferences = ""
const SearchListParamsReferencesStar SearchListParamsReferences = "*"
const SearchListParamsReferencesReferral SearchListParamsReferences = "referral"
const SearchListParamsReferencesReferrer SearchListParamsReferences = "referrer"
ReturnsExpand Collapse
type SearchListResponse struct{…}
Resources []SearchListResponseResourceoptional

A list of resources matching the search query.

ReferenceType SearchListResponseResourcesReferenceTypeoptional

When listed as a reference, the type (direction) of the reference.

One of the following:
const SearchListResponseResourcesReferenceTypeReferral SearchListResponseResourcesReferenceType = "referral"
const SearchListResponseResourcesReferenceTypeReferrer SearchListResponseResourcesReferenceType = "referrer"
References []unknownoptional

A list of references to (referrer) or from (referral) this resource.

ResourceID stringoptional
ResourceName stringoptional

The human-identifiable name of the resource.

ResourceType SearchListResponseResourcesResourceTypeoptional

The type of the resource.

One of the following:
const SearchListResponseResourcesResourceTypeLoadBalancer SearchListResponseResourcesResourceType = "load_balancer"
const SearchListResponseResourcesResourceTypeMonitor SearchListResponseResourcesResourceType = "monitor"
const SearchListResponseResourcesResourceTypePool SearchListResponseResourcesResourceType = "pool"

Search Resources

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/load_balancers"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.LoadBalancers.Searches.List(context.TODO(), load_balancers.SearchListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "resources": [
      {
        "reference_type": "referral",
        "references": [
          {
            "reference_type": "referrer",
            "resource_id": "699d98642c564d2e855e9661899b7252",
            "resource_name": "www.example.com",
            "resource_type": "load_balancer"
          },
          {
            "reference_type": "referral",
            "resource_id": "f1aba936b94213e5b8dca0c0dbf1f9cc",
            "resource_name": "Login page monitor",
            "resource_type": "monitor"
          }
        ],
        "resource_id": "17b5962d775c646f3f9725cbc7a53df4",
        "resource_name": "primary-dc-1",
        "resource_type": "pool"
      }
    ]
  },
  "success": true,
  "result_info": {
    "count": 20,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "resources": [
      {
        "reference_type": "referral",
        "references": [
          {
            "reference_type": "referrer",
            "resource_id": "699d98642c564d2e855e9661899b7252",
            "resource_name": "www.example.com",
            "resource_type": "load_balancer"
          },
          {
            "reference_type": "referral",
            "resource_id": "f1aba936b94213e5b8dca0c0dbf1f9cc",
            "resource_name": "Login page monitor",
            "resource_type": "monitor"
          }
        ],
        "resource_id": "17b5962d775c646f3f9725cbc7a53df4",
        "resource_name": "primary-dc-1",
        "resource_type": "pool"
      }
    ]
  },
  "success": true,
  "result_info": {
    "count": 20,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}